critical_section.h File Reference
`#include "internal/_deprecated_header_message_guard.h"`
`#include "internal/_warning_suppress_enable_notice.h"`
`#include <pthread.h>`
`#include <errno.h>`
`#include "tbb_stddef.h"`
`#include "tbb_thread.h"`
`#include "tbb_exception.h"`
`#include "tbb_profiling.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for critical_section.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::internal::critical_section_v4
class | tbb::internal::critical_section_v4::scoped_lock

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | _TBB_CRITICAL_SECTION_H_
#define | __TBB_critical_section_H_include_area

## Macro Definition Documentation

## __TBB_critical_section_H_include_area

#define __TBB_critical_section_H_include_area

Definition at line 31 of file critical_section.h.

## _TBB_CRITICAL_SECTION_H_

#define _TBB_CRITICAL_SECTION_H_

Definition at line 29 of file critical_section.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.